it-swarm.com.de

MacOS, Python: ModuleNotFoundError: Kein Modul namens 'kiwisolver'

Ich habe versucht, Kiwisolver in Atom unter MacOS Sierra zu importieren und erhalte die Fehlermeldung, dass es nicht gefunden wird:

Eingang:

import kiwisolver as kiwi

Ausgabe:

Traceback (most recent call last):
File "/Users/Kev/Documents/Uvic/Python/PHYS 321B/A6Q5&6_Coupled_Oscillators_Matrix.py", line 3, in <module>
import kiwisolver as kiwi
ModuleNotFoundError: No module named 'kiwisolver'

Das Problem ist, dass es bereits installiert ist: 

w134-87-183-190:~ Kev$ Sudo python -m pip install kiwisolver

The directory '/Users/Kev/Library/Caches/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with Sudo, you may want Sudo's -H flag.
The directory '/Users/Kev/Library/Caches/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with Sudo, you may want Sudo's -H flag.
Collecting kiwisolver
Downloading kiwisolver-1.0.1-cp27-cp27m-macosx_10_6_intel.macosx_10_9_intel.macosx_10_9_x86_64.macosx_10_10_intel.macosx_10_10_x86_64.whl (110kB)
100% |████████████████████████████████| 112kB 831kB/s 
Requirement already satisfied: setuptools in /System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python (from kiwisolver)
Installing collected packages: kiwisolver
Successfully installed kiwisolver-1.0.1

w134-87-183-190:~ Kev$ Sudo python3 -m pip install kiwisolver

The directory '/Users/Kev/Library/Caches/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with Sudo, you may want Sudo's -H flag.
The directory '/Users/Kev/Library/Caches/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with Sudo, you may want Sudo's -H flag.
Requirement already satisfied: kiwisolver in /Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages
Requirement already satisfied: setuptools in /Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages (from kiwisolver)

Hat jemand dieses Problem festgestellt? Wie löse ich dieses Problem? Ich brauche es, um Matplotlib auszuführen.

Bearbeiten: Ich verwende Python 3.6.

w134-87-183-190:~ Kev$ python -V
Python 2.7.10

w134-87-183-190:~ Kev$ python --version 
Python 2.7.10

w134-87-183-190:~ Kev$ python3 --version 
Python 3.6.4

In atom habe ich das in meiner config.cson. Alle drei Pfade geben den gleichen Fehler aus:

runner:
    scopes:
      # python: "/usr/local/bin/python3"
      # python: "/Library/Frameworks/Python.framework/Versions/3.6/Python"
      python: "/Library/Frameworks/Python.framework/Versions/3.6/bin/python3.6"
6
Kevin

Nach mehr als drei Stunden Agonie erwies sich die Lösung als ziemlich einfach.

Deinstallieren Sie Kiwisolver: 

pip3 uninstall kiwisolver 

Dann installieren Sie Kiwisolver erneut:

pip3 install kiwisolver
10
Kevin

Wenn Sie sich auf einem Mac befinden, führen Sie dies aus, da Sie möglicherweise Probleme mit der Berechtigung haben:

pip3 install kiwisolver --user
1
baduker